MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028371Open CASCADE[OCCT] OCCT:Configurationpublic2017-01-18 14:552017-09-29 16:25
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028371: Configuration - update system requirements page
DescriptionExisting system requirements page consists of confusing information like incomplete/incorrect list of supported platforms.

This information should be revised to provide information more clear to the user.
Steps To Reproducehttps://dev.opencascade.org/doc/overview/html/index.html#OCCT_OVW_SECTION_5 [^]
https://www.opencascade.com/content/system-requirements [^]
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0063057)
git (administrator)
2017-01-25 23:26

Branch CR28371 has been created by abv.

SHA-1: febb7d9fc843717495c6ac30254c627276d6fb6d


Detailed log of new commits:

Author: abv
Date: Wed Jan 25 23:26:18 2017 +0300

    0028371: Configuration - update system requirements page
    
    Table of supported operating systems with versions is removed, in favor of more general statement with simple list of supported OS and architectures.
(0063058)
abv (manager)
2017-01-25 23:27

I have removed list of OS with versions as it cannot be made complete; general statement about portability and list of certified OSes and architectures seems to be sufficient. Please review.
(0063059)
kgv (developer)
2017-01-26 00:09

Shouldn't we also drop outdated list of tested graphic cards + drivers?

The following table lists graphic cards tested to work with OCCT.
 227 
 228 | Graphic card  | Driver | OS | OpenGL (fixed pipeline) | OpenGL (shaders) | OpenGL (ray tracing) 
|
 229 | ---- | ---- | ---- | :----: | :----: | :----: |
 230 | NVIDIA GeForce GTX 650     | Driver 340.52, OpenGL 4.4        | Windows 7 64 bit           | OK 
| OK  | OK |
 231 | AMD/ATI RadeOn HD 7870     | Driver 14.100, OpenGL 4.4        | Windows 7 64-bit           | OK 
| OK  | OK |
 232 | Intel(R) HD Graphics 2500  | Driver 10.18.10.3621, OpenGL 4.0 | Windows 7 64 bit           | OK 
| OK  | limited (no textures) |
 233 | NVIDIA GeForce 320         | N/A                              | Mac OS X 10.6 / OS X 10.10 | OK 
| OK  | not yet supported by OCCT |
 234 | Apple software OpenGL      | N/A                              | Mac OS X 10.6 / OS X 10.10 | OK 
| OK  | N/A |
 235 | Mesa 10.2.4 (software emulator) | "Gallium 0.4 on llvmpipe (LLVM 3.4, 256 bits)" OpenGL 
3.0 | Windows 7 64 bit   | OK | OK  | unsupported by software |
 236 
(0063150)
git (administrator)
2017-01-27 18:28

Branch CR28371 has been updated by kgv.

SHA-1: fc3fbf6c2a6b329b919c6b6453c388a4515fca3f


Detailed log of new commits:

Author: kgv
Date: Fri Jan 27 18:28:26 2017 +0300

    Outdated list of tested graphic cards has been dropped.

(0063151)
kgv (developer)
2017-01-27 18:29

Please integrate the patch.
(0063619)
git (administrator)
2017-02-08 11:36

Branch CR28371 has been deleted by kgv.

SHA-1: fc3fbf6c2a6b329b919c6b6453c388a4515fca3f

- Related Changesets
occt: master 2a4611e1
Timestamp: 2017-02-02 13:00:28
Author: abv
Committer: apn
Details ] Diff ]
0028371: Configuration - update system requirements page

Table of supported operating systems with versions is removed, in favor of more general statement with simple list of supported OS and architectures.
Outdated list of tested graphic cards has been dropped.
mod - dox/overview/overview.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-01-18 14:55 kgv New Issue
2017-01-18 14:55 kgv Assigned To => bugmaster
2017-01-18 15:12 abv Assigned To bugmaster => abv
2017-01-18 15:12 abv Status new => assigned
2017-01-18 15:12 abv Target Version 7.2.0 => 7.2.1
2017-01-25 23:26 git Note Added: 0063057
2017-01-25 23:27 abv Note Added: 0063058
2017-01-25 23:27 abv Assigned To abv => bugmaster
2017-01-25 23:27 abv Status assigned => resolved
2017-01-25 23:27 abv Assigned To bugmaster => kgv
2017-01-26 00:09 kgv Note Added: 0063059
2017-01-27 18:28 git Note Added: 0063150
2017-01-27 18:29 kgv Note Added: 0063151
2017-01-27 18:29 kgv Assigned To kgv => bugmaster
2017-01-27 18:29 kgv Status resolved => reviewed
2017-01-27 18:36 apv Test case number => Not needed
2017-01-27 18:37 apv Status reviewed => tested
2017-02-03 16:52 apn Changeset attached => occt master 2a4611e1
2017-02-03 16:52 apn Assigned To bugmaster => apn
2017-02-03 16:52 apn Status tested => verified
2017-02-03 16:52 apn Resolution open => fixed
2017-02-08 11:36 git Note Added: 0063619
2017-03-03 17:41 bugmaster Target Version 7.2.1 => 7.2.0
2017-03-06 11:52 bugmaster Target Version 7.2.0 => 7.2.1
2017-05-19 15:36 abv Target Version 7.2.1 => 7.2.0
2017-09-29 16:18 aiv Fixed in Version => 7.2.0
2017-09-29 16:25 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker